package com.ssyf.module.custom.service;

import com.github.pagehelper.PageInfo;
import com.ssyf.module.custom.domain.entity.CustomTable;
import com.ssyf.module.custom.domain.query.CustomTableQuery;

import java.util.List;

/**
* @author admin
* @description 针对表【custom_table(自定义表)】的数据库操作Service
* @createDate 2024-08-13 09:29:55
*/
public interface CustomTableService {

    CustomTable addOne(CustomTableQuery query);

    void updateByUid(String uid, CustomTableQuery query);

    void removeByUid(String uid);

    Object getByUid(String uid);

    PageInfo<CustomTable> getPage(CustomTableQuery query);

    List<CustomTable> getAll(CustomTableQuery query);
}
